select '' as item_clsno from sysobjects with(nolock) where 1=2
##
if (#SV = 'kmjxc_pro' or #SV = 'kmjxc_std')
	exec('insert into t_bd_item_cls (display_flag,item_clsname,item_clsno,item_flag)                     
		  select display_flag,item_clsname,item_clsno,item_flag  from #SDB..bi_t_item_cls where item_flag=''0'' ')
else if #SV = 'bw9kbzpro'
	exec('insert t_bd_item_cls(item_clsno,item_clsname,item_flag,display_flag) 
          select item_clsno,item_clsname,item_flag,display_flag from #SDB..bi_t_item_cls where item_flag=''0'' ')
else if #SV = 'tiger'
	exec('insert t_bd_item_cls(item_clsno,item_clsname,item_flag,display_flag)
          select class_no,item_clsname,item_flag,display_flag from #SDB..ba_cls_info')
else
	exec('insert into t_bd_item_cls (item_clsno,item_clsname,item_flag,display_flag,profit_rate,comp_rate,trans_flag)
		  select item_clsno,item_clsname,item_flag,display_flag,profit_rate,comp_rate,trans_flag from #SDB..t_bd_item_cls')

go